This page was not yet optimized for use on mobile devices.
Cisco Firepower Next-Generation IPS Virtual (NGIPSv) Cryptographic Module
Certificate details
| Certificate ID | #3276 |
|---|---|
| Status | historical |
| Historical reason | SP 800-56Arev3 transition |
| Validation dates | 30.08.2018 |
| Standard | FIPS 140-2 |
| Security level | 1 |
| Type | Software |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | When operated in FIPS mode |
| Exceptions |
|
| Description | The virtualized offering of the Cisco FirePOWER next-generation IPS (NGIPS) solution providing the Industry-leading threat protection. Real-time contextual awareness. Full-stack visibility. Intelligent security automation. This virtualized highly effective intrusion prevention system provides reliable performance and a low total cost of ownership. Threat protection can be expanded with optional subscription licenses to provide Advanced Malware Protection (AMP), application visibility and control, and URL filtering capabilities. |
| Tested configurations |
|
| Vendor | Cisco Systems, Inc. http://www.cisco.com |
| Lab | Gossamer Security Solutions |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, RC4, DES, Triple-DES, HMACAsymmetric Algorithms
RSA 2048, ECDH, ECDSA, DH, Diffie-HellmanHash functions
SHA-1, SHA-512, MD5Protocols
SSHv2, SSH, TLSv1.2, TLSRandomness
DRBGLibraries
NSSElliptic Curves
P-256, P-384, P-521Block cipher modes
CBC, GCMVendor
Cisco, Cisco Systems, Cisco Systems, IncSecurity level
Level 1, level 1Standards
FIPS 140-2, FIPS PUB 140-2, FIPS 140, FIPS 186-4, NIST SP 800-90A, SP 800-90A, SP 800-52, RFC 5288, RFC 5246, RFC 4253Automated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 3276,
"dgst": "2c903ae837b047fd",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"AES#4768",
"SHS#3913",
"HMAC#3181",
"CVL#1413",
"RSA#2609",
"Triple-DES#2534",
"DRBG#1649",
"ECDSA#1197"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"-"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 45,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECDH": {
"ECDH": 9
},
"ECDSA": {
"ECDSA": 16
}
},
"FF": {
"DH": {
"DH": 17,
"Diffie-Hellman": 12
}
},
"RSA": {
"RSA 2048": 4
}
},
"certification_process": {},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"GCM": {
"GCM": 3
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {
"NSS": {
"NSS": 1
}
},
"crypto_protocol": {
"SSH": {
"SSH": 15,
"SSHv2": 18
},
"TLS": {
"TLS": {
"TLS": 44,
"TLSv1.2": 7
}
}
},
"crypto_scheme": {},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 12,
"P-384": 2,
"P-521": 2
}
},
"eval_facility": {},
"fips_cert_id": {
"Cert": {
"#1": 1,
"#1413": 2
}
},
"fips_certlike": {
"Certlike": {
"AES 128/192/256": 2,
"Diffie-Hellman (CVL Cert. #1413": 2,
"Diffie-Hellman 1": 1,
"HMAC- SHA- 256/384": 1,
"HMAC- SHA-512 512": 1,
"HMAC-SHA-1": 2,
"HMAC-SHA1": 2,
"HMAC-SHA256": 2,
"HMAC-SHA384": 2,
"HMAC-SHA512": 4,
"RSA 2048": 4,
"SHA-1": 1,
"SHA-512 512": 1
}
},
"fips_security_level": {
"Level": {
"Level 1": 3,
"level 1": 1
}
},
"hash_function": {
"MD": {
"MD5": {
"MD5": 4
}
},
"SHA": {
"SHA1": {
"SHA-1": 1
},
"SHA2": {
"SHA-512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 42
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140": 2,
"FIPS 140-2": 15,
"FIPS 186-4": 3,
"FIPS PUB 140-2": 1
},
"NIST": {
"NIST SP 800-90A": 1,
"SP 800-52": 1,
"SP 800-90A": 3
},
"RFC": {
"RFC 4253": 1,
"RFC 5246": 1,
"RFC 5288": 1
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 6
},
"RC": {
"RC4": 2
}
},
"DES": {
"3DES": {
"Triple-DES": 7
},
"DES": {
"DES": 3
}
},
"constructions": {
"MAC": {
"HMAC": 4
}
}
},
"tee_name": {},
"tls_cipher_suite": {},
"vendor": {
"Cisco": {
"Cisco": 19,
"Cisco Systems": 2,
"Cisco Systems, Inc": 12
}
},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"AES#4768",
"SHS#3913",
"HMAC#3181",
"CVL#1413",
"RSA#2609",
"Triple-DES#2534",
"DRBG#1649",
"ECDSA#1197"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": []
},
"policy_metadata": {
"/Author": "Scott Shorter",
"/CreationDate": "D:20180816132440-04\u002700\u0027",
"/Creator": "Microsoft\u00ae Word 2013",
"/ModDate": "D:20180816132440-04\u002700\u0027",
"/Producer": "Microsoft\u00ae Word 2013",
"/Subject": "FIPS 140-2 Security Policy",
"/Title": "CISCO 831 Security Policy",
"pdf_file_size_bytes": 1158922,
"pdf_hyperlinks": {
"_type": "Set",
"elements": [
"http://csrc.nist.gov/groups/STM/cmvp/validation.html",
"http://csrc.nist.gov/groups/STM/index.html",
"http://www.cisco.com/",
"http://www.cisco.com/c/en/us/td/docs/security/firepower/610/configuration/guide/fpmc-config-guide-v61.html",
"http://www.cisco.com/c/en/us/td/docs/security/firepower/620/configuration/guide/fpmc-config-guide-v62/system_configuration.html#ID-2241-00000370",
"http://www.cisco.com/c/en/us/td/docs/security/firepower/60/quick_start/ngips_virtual/NGIPSv-quick/setup-ngipsv.html",
"http://www.cisco.com/c/en/us/products/collateral/security/firepower-7000-series-appliances/datasheet-c78-733165.html",
"http://www.cisco.com/c/en/us/products/index.html"
]
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 14
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "baa86a631796fd81f71034a74289ef123204c54dee430124e2176f602a4acc50",
"source_hash": "81e4f33ba49920174f5412f627998cbad1092866a102a3ebe578846f2a435ed2",
"txt_hash": "3478e6ad84d7f5ac605eabcc2cb11218c814c31e67e5d7f6d2dbccb0d7764757"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "When operated in FIPS mode",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/FIPS140ConsolidatedCertAug2018.pdf",
"date_sunset": null,
"description": "The virtualized offering of the Cisco FirePOWER next-generation IPS (NGIPS) solution providing the Industry-leading threat protection. Real-time contextual awareness. Full-stack visibility. Intelligent security automation. This virtualized highly effective intrusion prevention system provides reliable performance and a low total cost of ownership. Threat protection can be expanded with optional subscription licenses to provide Advanced Malware Protection (AMP), application visibility and control, and URL filtering capabilities.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Roles, Services, and Authentication: Level 3",
"Physical Security: N/A",
"Design Assurance: Level 2",
"Mitigation of Other Attacks: N/A"
],
"fw_versions": null,
"historical_reason": "SP 800-56Arev3 transition",
"hw_versions": null,
"level": 1,
"mentioned_certs": {},
"module_name": "Cisco Firepower Next-Generation IPS Virtual (NGIPSv) Cryptographic Module",
"module_type": "Software",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": "6.2",
"tested_conf": [
"NGIPSv 6.2 on Vmware ESXi 5.5 running on Cisco C220 M4",
"NGIPSv 6.2 on Vmware ESXi 6.0 running on Cisco C220 M4 (single-user mode)"
],
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2018-08-30",
"lab": "Gossamer Security Solutions",
"validation_type": "Initial"
}
],
"vendor": "Cisco Systems, Inc.",
"vendor_url": "http://www.cisco.com"
}
}